Extending Qt Creator Manual | Substitution

Extending Qt Creator Manual 4.5.2

# Substitution Class

(CPlusPlus::Substitution)

- List of all members, including inherited members

## Public Functions

| Substitution()
virtual | ~Substitution()
virtual FullySpecifiedType | apply(const Name *name, Rewrite *rewrite) const = 0

## Member Function Documentation

### Substitution::Substitution()

Default constructs an instance of Substitution.

### `[virtual]` Substitution::~Substitution()

Destroys the instance of Substitution. The destructor is virtual.

### `[pure virtual]` FullySpecifiedType Substitution::apply(const Name *name, Rewrite *rewrite) const